<?php
/**
* @version	$Id: statistics_event_handler.php 16513 2017-01-20 14:10:53Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class StatisticsEventHandler extends kDBEventHandler {

		/**
		 * Allows to show statistics only of requested type
		 *
		 * @param kEvent $event
		 * @return void
		 * @access protected
		 * @see kDBEventHandler::OnListBuild()
		 */
		protected function SetCustomQuery(kEvent $event)
		{
			parent::SetCustomQuery($event);

			/** @var kDBList $object */
			$object = $event->getObject();

			if ( $event->Special == 'summary' ) {
				$object->addFilter('summary_filter', '%1$s.AdminSummary = 1');
			}

			$module_list = '';
			foreach ($this->Application->ModuleInfo as $module_name => $module_info) {
				$module_list .= $this->Conn->qstr($module_name) . ',';
			}
			$module_list = substr($module_list, 0, -1);

			$object->addFilter('status_filter', '%1$s.Module IN (' . $module_list . ')');
		}
	}